List campaign targets
curl --request GET \
--url https://yourdomain.com/get_targets \
--cookie admin_cookie=import requests
url = "https://yourdomain.com/get_targets"
headers = {"cookie": "admin_cookie="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'admin_cookie='}};
fetch('https://yourdomain.com/get_targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"target_id": "<string>",
"address": "<string>",
"campaign": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"position": "<string>",
"custom": "<string>",
"phished": 123
}
]Target
List campaign targets
Get all targets for a campaign
GET
/
get_targets
List campaign targets
Authorizations
Admin cookie authentication (configurable in config.json)
Query Parameters
Campaign name
Response
Successful response
Unique target identifier
Target email address
Associated campaign name
Target first name
Target last name
Target job title/position
Custom field (phone number, etc.)
Email sent status (0 = not sent, 1 = sent)